

CACHEDIR=$HOME/.vep

for f in test.vcf test_rev.vcf test_norm.vcf test_common.vcf test_rare.vcf; do
    echo
    
    for i in "" .norm .rare .common; do

        echo "#INPUT: $f";
        grep -v "^#" $f

        echo "#CUSTOM: ExAC.r0.3$i.vcf.gz"
        bcftools view -H ExAC.r0.3$i.vcf.gz

        echo "=>VEP:"
        variant_effect_predictor.pl -i $f --vcf -o STDOUT --offline --force_overwrite \
            --assembly GRCh37 --port 3337 \
            --cache --dir_cache $CACHEDIR \
            --custom ExAC.r0.3$i.vcf.gz,ExAC$i,vcf,exact,0,AC | grep -v ^# | sed 's/CSQ=[^;]*;//'
        echo

    done
done
